import request from '@/utils/request'
import { AxiosPromise } from 'axios'

// apiUrl 模板管理
const api = {
	page: '/gen/template/page',
	create: '/gen/template/create',
	update: '/gen/template/update',
	delete: '/gen/template/delete'
	// get: '/gen/template/get'
}

/**
 * 模板管理 - 分页列表
 */
function templatePageApi(data: any): AxiosPromise {
	return request({
		url: api.page,
		method: 'post',
		data
	})
}

/**
 * 模板管理 - 创建或更新
 */
function templateAddOrEditSaveApi(data: any): AxiosPromise {
	return request({
		url: data.id ? api.update : api.create,
		method: 'post',
		data
	})
}

/**
 * 模板管理 - 删除
 */
function templateDeleteApi(data: any): AxiosPromise {
	return request({
		url: api.delete,
		method: 'post',
		data
	})
}

// /**
//  * 模板管理 - 查询 ID 信息
//  */
// function templateGetApi(id: any): AxiosPromise {
// 	return request({
// 		url: `${api.get}?id=${id}`,
// 		method: 'get'
// 	})
// }

export function fetchAllTemplates(): AxiosPromise {
	return request({
		method: 'post',
		url: `/gen/template/list-all` // Adjust URL if needed
	})
}

export default {
	templatePageApi,
	templateAddOrEditSaveApi,
	templateDeleteApi,
	fetchAllTemplates
	// templateGetApi
}
